6.0.0-git
2021-01-18

[#9883] Confusing error messages if geocoding fails
Summary Confusing error messages if geocoding fails
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2011-04-12 (3569 days ago)
Due
Updated 2011-04-13 (3568 days ago)
Assigned
Resolved 2011-04-13 (3568 days ago)
Milestone
Patch No

History
2011-04-13 04:15:54 Michael Rubinsky State ⇒ Resolved
 
2011-04-13 04:15:37 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Google doesn't return any useful error message on failure.
Bug: 9883

  1 files changed, 1 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/fc8fa29e00bad355108b8d5a3c60c5c11958824f
2011-04-13 04:15:34 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Check for a lon/lat pair when using the null geocoder.
Parially fixes Bug: 9883

  1 files changed, 8 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/39c7241a50a2f6aa15bcc2962d3437524704d88b
2011-04-12 12:58:36 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Confusing error messages if geocoding fails
Queue ⇒ Kronolith
Assigned to Michael Rubinsky
Milestone ⇒
Patch ⇒ No
Reply to this comment
If I have a map driver but not a geocoding driver set, clicking on the 
"Search in Map" link returns an error message that there is no 
geocoder set. If the link makes sense at (e.g. if it still works with 
coordinates in the location field), this case should be catched.

If using the Google gecoder and the address cannot be found, I get the 
error message "Unable to locate requested address undefined".

Saved Queries